% Show the odometer decompositions

clear;

CL = bandpacking(1000);

for k = 1:size(CL,2)

  C = reshape(CL(:,k),[2 4]);

  C0 = C(:,1);
  C1 = C(:,2);
  C2 = C(:,3);
  C3 = C(:,4);

  [G0,G1,G2,G3,v32,v13,v21,a32,a13,a21] = odometer(C0,C1,C2,C3);

  G4 = translate(G1,-v32+i*v32,-a32-i*a32);
  G5 = translate(G2,-v13+i*v13,-a13-i*a13);
  G6 = translate(G3,-v21+i*v21,-a21-i*a21);

  clf
  hold on;
  G = G0;
  L = laplacian(G)+2;
  L(isnan(L)&isfinite(G)) = 3;
  drawpattern(L);
  for j = 1:6
    G = {G1,G2,G3,G4,G5,G6}{j};
    B = boundary(isfinite(G));
    plot(B(:,1),B(:,2),'w-','LineWidth',2);
  end
  text(1,1,sprintf('(%d,%d+%di)',C1(1),real(C1(2)),imag(C1(2))));

  pause;

end
