function varargout = unpad(varargin)
  % [G1,...,GN] = unpad(G1,...,GN)
  % Remove NaN padding from a list of partial odometers.

  G = isfinite(varargin{1});
  for k = 2:length(varargin)
    G = G + isfinite(varargin{k});
  end
  G = G + (laplacian(G)>0);

  I = sum(G,2)>0;
  J = sum(G,1)>0;
  
  for k = 1:length(varargin)
    varargout{k} = varargin{k}(I,J);
  end

end
